/*CSS page*/

body{
    padding-top: 0;
    background-color: #000000;
}
.nav-link{
    color: #ffffff;
}
nav{
    background: #1d2124;
}
a.navbar-brand{
    margin-left: 10px;
}
#logo{
    width: 40px;
}
.mt50{
    margin-top: 40px;
}
.container-fluid{
    padding-left: 0;
    padding-right: 0;
}
.titres{
    font-size: 40px;
}

/*cube 3d*/
.scene3d {
    margin-top: 200px;
}

#cube {
    width: 200px;
    height: 200px;
    margin: 0 auto 40px;

    transform-style: preserve-3d;
    animation:maRotation 30s infinite;
    animation-play-state: running;
}

#cube:hover{
    animation-play-state: paused;
}

/*animation*/
@keyframes maRotation{
    0%{
        transform:rotateX(20deg) rotateY(10deg);
    }
    100%{
        transform: rotateX(380deg) rotateY(370deg);
    }
}

#cube div {
    position: absolute;
    width: 200px;
    height: 200px;
    transition:transform 1s;
}

#cube div img {
    height: 200px;
}

#back {
    background: #AFA;
    transform: rotateY(180deg) translateZ(100px);
}
#front{
    background: #AAF;
    transform: translateZ(100px);
}
#left {
    background: #FAA;
    transform:rotateY(-90deg)  translateZ(100px);
}

#right {
    background: #FFA;
    transform: rotateY(90deg) translateZ(100px);
}

#top{
    transform:rotateX(90deg) translateZ(100px) ;
}
#bot{
    transform: rotateX(-90deg) translateZ(100px);
}
#cube:hover #front{
    transform: translateZ(200px);
}
#cube:hover #back{
    transform: rotateY(180deg) translateZ(200px);
}
#cube:hover #left{
    transform: rotateY(-90deg) translateZ(200px);
}
#cube:hover #right{
    transform: rotateY(90deg) translateZ(200px);
}
#cube:hover #top{
    transform: rotateX(90deg) translateZ(200px);
}
#cube:hover #bot{
    transform: rotateX(-90deg) translateZ(200px);
}
/* FIN cube 3D */

#canvas{
    margin-top: 200px;
}

#chat{
    margin-top: 200px;
}
#affiche{
    color: white;
}
#form{
    margin-top: 200px;
}
/* CSS Form */
form{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 400px;
    stroke: black;
    stroke-width: 3px;
}
p{
    text-align: end;
    width: 100%;
    color: white;
}
#valid{
    width: 100%;
    align-items: end;
}
legend{
    color: white;
    padding: 10px;
}
fieldset{
    padding: 50px;
}
label{
    margin-bottom: 10px;
    color: white;
}


@media screen and (max-width: 480px){
    body{
        padding-top: 70px;
    }
}
